%define	name	nettle
%define	version	2.7.1
%define epoch 1 
%define nettlemajor 4
%define hogweedmajor 2
%define libnettlename %mklibname nettle %nettlemajor
%define libhogweedname %mklibname hogweed %hogweedmajor
%define develname %mklibname -d nettle

Name:		%{name}
Summary:	Nettle cryptographic library
Version:	%{version}
Release:	%mkrel 2
License:	GPL
Group:		System/Libraries
URL:		http://www.lysator.liu.se/~nisse/nettle/
Source:		http://www.lysator.liu.se/~nisse/archive/%name-%{version}.tar.gz
Epoch: %epoch
BuildRequires:	autoconf
BuildRequires:	openssl-devel
BuildRequires:	libgmp-devel
BuildRequires:	texinfo
Requires:       %{libnettlename} = %epoch:%version-%release
Requires:       %{libhogweedname} = %epoch:%version-%release

%description
Nettle is a cryptographic library that is designed to fit easily in more or less any context: 
In crypto toolkits for object-oriented languages (C++, Python, Pike, ...), in applications 
like LSH or GNUPG, or even in kernel space. 

%package -n %{libnettlename}
Group:		System/Libraries
Summary:	Nettle shared library

%description -n %{libnettlename}
This is the shared library part of the Nettle library.

%package -n %{libhogweedname}
Group:          System/Libraries
Summary:        Hogweed shared library

%description -n %{libhogweedname}
This is the shared library part of the Hogweed library.

%package -n %develname
Group:		Development/C++
Summary:	Header files for compiling against Nettle library
Provides:	%name-devel = %epoch:%version-%release
Requires:	%{libnettlename} = %epoch:%version-%release
Requires:	%{libhogweedname} = %epoch:%version-%release
Obsoletes:	%mklibname -d nettle 0

%description -n %develname
This is the development package of nettle. Install it if you want to 
compile programs using this library.

%prep
%setup -q

%build
%configure2_5x --enable-shared
%make

%install
%makeinstall_std

%files
%{_bindir}/*
%{_infodir}/*

%files -n %{libnettlename}
%{_libdir}/libnettle.so.%{nettlemajor}*

%files -n %{libhogweedname}
%{_libdir}/libhogweed.so.%{hogweedmajor}*

%files -n %develname
%doc AUTHORS TODO ChangeLog
%{_libdir}/libnettle.a
%{_libdir}/libhogweed.a
%{_libdir}/libnettle.so
%{_libdir}/libhogweed.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/nettle


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:2.7.1-2.mga4
+ Revision: 525869
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 luigiwalser <luigiwalser> 1:2.7.1-1.mga4
+ Revision: 434819
- 2.7.1

* Mon May 27 2013 fwang <fwang> 1:2.7-1.mga4
+ Revision: 428652
- br texinfo
- new version 2.7

  + luigiwalser <luigiwalser>
    - 2.6

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 30 2012 fwang <fwang> 1:2.5-1.mga3
+ Revision: 285839
- new version 2.5

* Sat Oct 15 2011 fwang <fwang> 1:2.4-1.mga2
+ Revision: 155344
- update file list
- new version 2.4
- new version 2.2

* Tue Jun 21 2011 fwang <fwang> 1:2.1-1.mga2
+ Revision: 111566
- cleanup spec
- imported package nettle


* Wed Oct 27 2010 Funda Wang <fwang@mandriva.org> 1:2.1-1mdv2011.0
+ Revision: 589577
- new version 2.1

* Sat Jul 25 2009 Crispin Boylan <crisb@mandriva.org> 1:2.0-1mdv2010.0
+ Revision: 399777
- Initial package for mandriva
- create nettle

